org.apache.struts2.jasper.el

## Class JspValueExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.ValueExpression
    - - org.apache.struts2.jasper.el.JspValueExpression

- All Implemented Interfaces:
    Externalizable, Serializable

      public final class JspValueExpression
      extends javax.el.ValueExpression
      implements Externalizable

  Wrapper for providing context to ValueExpressions
  Author:
    Jacob Hookom
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspValueExpression()`
    `JspValueExpression(String mark, javax.el.ValueExpression target)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Class<?>` | `getExpectedType()`
    `String` | `getExpressionString()`
    `Class<?>` | `getType(javax.el.ELContext context)`
    `Object` | `getValue(javax.el.ELContext context)`
    `int` | `hashCode()`
    `boolean` | `isLiteralText()`
    `boolean` | `isReadOnly(javax.el.ELContext context)`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setValue(javax.el.ELContext context, Object value)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class javax.el.ValueExpression

      `getValueReference`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspValueExpression

          public JspValueExpression()

    - #### JspValueExpression

          public JspValueExpression(String mark,
                                    javax.el.ValueExpression target)

  - ### Method Detail

    - #### getExpectedType

          public Class<?> getExpectedType()

      Specified by:
        `getExpectedType` in class `javax.el.ValueExpression`

    - #### getType

          public Class<?> getType(javax.el.ELContext context)
                           throws NullPointerException,
                                  javax.el.PropertyNotFoundException,
                                  javax.el.ELException

      Specified by:
        `getType` in class `javax.el.ValueExpression`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### isReadOnly

          public boolean isReadOnly(javax.el.ELContext context)
                             throws NullPointerException,
                                    javax.el.PropertyNotFoundException,
                                    javax.el.ELException

      Specified by:
        `isReadOnly` in class `javax.el.ValueExpression`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### setValue

          public void setValue(javax.el.ELContext context,
                               Object value)
                        throws NullPointerException,
                               javax.el.PropertyNotFoundException,
                               javax.el.PropertyNotWritableException,
                               javax.el.ELException

      Specified by:
        `setValue` in class `javax.el.ValueExpression`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.PropertyNotWritableException`
        `javax.el.ELException`

    - #### getValue

          public Object getValue(javax.el.ELContext context)
                          throws NullPointerException,
                                 javax.el.PropertyNotFoundException,
                                 javax.el.ELException

      Specified by:
        `getValue` in class `javax.el.ValueExpression`
      Throws:
        `NullPointerException`
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `javax.el.Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `javax.el.Expression`

    - #### getExpressionString

          public String getExpressionString()

      Specified by:
        `getExpressionString` in class `javax.el.Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `javax.el.Expression`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.